# Uses of Interface
java.lang.classfile.AnnotationElement

Packages that use AnnotationElement
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

- ## Uses of AnnotationElement in java.lang.classfile

  Methods in java.lang.classfile that return AnnotationElement
  Modifier and Type
  Method
  Description
  `static AnnotationElement`
  AnnotationElement.`of(Utf8Entry name, AnnotationValue value)`
  Returns an element-value pair.
  `static AnnotationElement`
  AnnotationElement.`of(String name, AnnotationValue value)`
  Returns an element-value pair.
  `static AnnotationElement`
  AnnotationElement.`ofAnnotation(String name, Annotation value)`
  Returns an element-value pair for an annotation-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofArray(String name, AnnotationValue... values)`
  Returns an element-value pair for an array-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofBoolean(String name, boolean value)`
  Returns an element-value pair for a boolean-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofByte(String name, byte value)`
  Returns an element-value pair for a byte-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofChar(String name, char value)`
  Returns an element-value pair for a char-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofClass(String name, ClassDesc value)`
  Returns an element-value pair for a class-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofDouble(String name, double value)`
  Returns an element-value pair for a double-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofFloat(String name, float value)`
  Returns an element-value pair for a float-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofInt(String name, int value)`
  Returns an element-value pair for an int-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofLong(String name, long value)`
  Returns an element-value pair for a long-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofShort(String name, short value)`
  Returns an element-value pair for a short-valued element.
  `static AnnotationElement`
  AnnotationElement.`ofString(String name, String value)`
  Returns an element-value pair for a string-valued element.
  Methods in java.lang.classfile that return types with arguments of type AnnotationElement
  Modifier and Type
  Method
  Description
  `List<AnnotationElement>`
  Annotation.`elements()`
  Returns the element-value pairs of the annotation.
  Methods in java.lang.classfile with parameters of type AnnotationElement
  Modifier and Type
  Method
  Description
  `static Annotation`
  Annotation.`of(Utf8Entry annotationClass, AnnotationElement... elements)`
  Returns an annotation.
  `static Annotation`
  Annotation.`of(ClassDesc annotationClass, AnnotationElement... elements)`
  Returns an annotation.
  Method parameters in java.lang.classfile with type arguments of type AnnotationElement
  Modifier and Type
  Method
  Description
  `static Annotation`
  Annotation.`of(Utf8Entry annotationClass, List<AnnotationElement> elements)`
  Returns an annotation.
  `static Annotation`
  Annotation.`of(ClassDesc annotationClass, List<AnnotationElement> elements)`
  Returns an annotation.